LibreOffice LibreOffice 6.2 SDK API Reference

Exported Interfaces | List of all members
Thesaurus Service Referencepublished

offers thesaurus functionality. More...

`import"Thesaurus.idl";`

Inheritance diagram for Thesaurus:

## Exported Interfaces
interface | com::sun::star::linguistic2::XThesaurus
interface | com::sun::star::lang::XInitialization
interface | com::sun::star::lang::XComponent
interface | com::sun::star::lang::XServiceDisplayName

## Additional Inherited Members
Public Member Functions inherited from XThesaurus
sequence< com::sun::star::linguistic2::XMeaning > | queryMeanings ([in] string aTerm, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XSupportedLocales
sequence< com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XServiceDisplayName
string | getServiceDisplayName ([in] ::com::sun::star::lang::Locale aLocale)
| returns the display name of the service for a given language. More...

## Detailed Description

offers thesaurus functionality.

Developers Guide
  OfficeDev - Linguistics

## Exported Interfaces

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

## ◆ com::sun::star::lang::XServiceDisplayName

interface com::sun::star::lang::XServiceDisplayName

## ◆ com::sun::star::linguistic2::XThesaurus

interface com::sun::star::linguistic2::XThesaurus

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/Thesaurus.idl